Page MenuHomePhabricator

requirements: no longer drop `generaldelta` requirement with revlogv2
ClosedPublic

Authored by marmoute on May 3 2021, 7:53 AM.

Details

Summary

A repository could use a mix of revlogv1 and revlogv2, making the requirements
still necessary. Overall we should move away from the "requirements" file being
used a way to configure the repository and stick to it "what do you need to
access this repository". However this is a wider work for another time.

In addition the logic we just dropped was confusing the hg debugformat
command, breaking the upgrade code and inconsistent (eg: sparse-revlog is also
implied by revlogv2).

Finally, multiple other config option would imply the use of the revlogv2
requirements, without drop the generaldelta one, leading to more
inconsistency.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.May 3 2021, 7:53 AM
baymax updated this revision to Diff 27527.May 3 2021, 9:44 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27858.May 11 2021, 1:42 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27984.May 17 2021, 7:02 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.